<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body class="body-login">
<!-- Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/>
<!--Logic-->
<form action="#" th:action="@{/reset_password}" method="post">
    <div class="container">
        <div class="row">
            <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
                <div class="card border-0 shadow rounded-3 my-5">
                    <div class="card-body p-4 p-sm-5">
                        <h5 class="card-title text-center mb-5 fw-light fs-5">Reset Password</h5>
                        <div class="form-floating mb-3">
                            <input type="hidden" name="token" th:value="${token}"/>

                            <input type="password" name="password" id="floatingPassword" class="form-control"
                                   th:placeholder="Password">
                            <label for="floatingPassword">Enter your new password</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="password" class="form-control" id="floatingPasswordConfirm"
                                   required oninput="checkPasswordMatch(this);">
                            <label for="floatingPasswordConfirm">Confirm your new password</label>
                        </div>

                        <div class="d-grid">
                            <button class="btn btn-secondary btn-login text-uppercase fw-bold" type="submit">
                                Change Password
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
</body>
</html>